package cn.bunny.entity.system.email;

import cn.bunny.entity.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;

/**
 * <p>
 * 邮箱发送表
 * </p>
 *
 * @author Bunny
 * @since 2024-05-17
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("email_users")
@ApiModel(value = "EmailUsers对象", description = "邮箱发送表")
public class EmailUsers extends BaseEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("Host地址")
    private String host;

    @ApiModelProperty("端口号")
    private Integer port;

    @ApiModelProperty("邮箱协议")
    private String smtpAgreement;

    @ApiModelProperty("是否为默认邮件")
    private Integer isDefault;
}
