package cn.bunny.entity.system.log;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 系统日志表
 * </p>
 *
 * @author Bunny
 * @since 2024-05-31
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("system_log")
@ApiModel(value = "SystemLog对象", description = "系统日志表")
public class SystemLog implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    @ApiModelProperty("所在类路径")
    private String classPath;

    @ApiModelProperty("执行方法名称")
    private String methodName;

    @ApiModelProperty("入参内容")
    private String args;

    @ApiModelProperty("返回参数")
    private String result;

    @ApiModelProperty("报错堆栈")
    private String errorStack;

    @ApiModelProperty("报错")
    private String errorMessage;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("用户名")
    private String nickname;

    @ApiModelProperty("当前用户token")
    private String token;

    @ApiModelProperty("当前用户IP地址")
    private String ipAddress;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("更新用户")
    private Long updateUser;

    @ApiModelProperty("是否被删除")
    private Boolean isDeleted;
}
