package cn.bunny.entity.system.user;

import cn.bunny.entity.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户信息
 * </p>
 *
 * @author Bunny
 * @since 2024-05-17
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Accessors(chain = true)
@ApiModel(value = "User对象", description = "用户信息")
public class User extends BaseEntity implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("昵称")
    private String nickName;
    @ApiModelProperty("邮箱")
    private String email;
    @ApiModelProperty("密码")
    private String password;
    @ApiModelProperty("头像")
    private String avatar;
    @ApiModelProperty("0:女 1:男")
    private Byte sex;
    @ApiModelProperty("个人描述")
    private String personDescription;
    @ApiModelProperty("加入时间")
    private LocalDateTime joinTime;

    @ApiModelProperty("最后登录时间")
    private LocalDateTime lastLoginTime;

    @ApiModelProperty("最后登录IP")
    private String lastLoginIp;

    @ApiModelProperty("最后登录ip地址")
    private String lastLoginIpAddress;

    @ApiModelProperty("积分")
    private Integer totalIntegral;

    @ApiModelProperty("当前积分")
    private Integer currentIntegral;

    @ApiModelProperty("0:禁用 1:正常")
    private Byte status;
}
