package cn.bunny.service.admin;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.stereotype.Indexed;

@ComponentScan(basePackages = {"cn.bunny"})
@MapperScan("cn.bunny.service.admin.mapper")
@EnableScheduling// 定时任务
@EnableCaching// 开启缓存注解
@SpringBootApplication
@Slf4j
@Indexed
public class ServiceAdminApplication {
    public static void main(String[] args) {
        log.info("ServiceApplication启动...");
        SpringApplication.run(ServiceAdminApplication.class, args);
    }
}