package cn.bunny.service.admin.mapper;

import cn.bunny.entity.system.admin.AdminPower;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2024-05-18
 */
@Mapper
public interface AdminPowerMapper extends BaseMapper<AdminPower> {
    /**
     * 查询用户权限信息
     *
     * @param roleIdList 角色id 列表
     * @return 用户对应的权限
     */
    AdminPower[] selectByPowerWithRoleIdList(List<Long> roleIdList);

    /**
     * 查询用户权限
     *
     * @param userId 用户id
     * @return 用户权限列表
     */
    List<AdminPower> queryByUserIdWithPower(Long userId);
}
