package cn.bunny.service.admin.service;

import cn.bunny.dto.user.LoginDto;
import cn.bunny.entity.system.user.User;
import cn.bunny.vo.system.login.LoginVo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2024-05-18
 */
public interface UserService extends IService<User> {
    /**
     * 前台用户登录接口
     *
     * @param loginDto 登录参数
     * @return 登录后结果返回
     */
    LoginVo login(LoginDto loginDto);

    /**
     * 发送邮箱验证码
     *
     * @param email 邮箱
     */
    void sendEmail(String email);
}
