package cn.bunny.service.web;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@Slf4j
@ComponentScan(basePackages = {"cn.bunny"})
@MapperScan("cn.bunny.service.web.mapper")
@EnableCaching// 开启缓存注解
@EnableScheduling// 开启task
// @EnableFeignClients(basePackages = {"cn.bunny.feign.admin"})
@EnableTransactionManagement // 开启注解方式的事务管理
public class ServiceWebApplication {
    public static void main(String[] args) {
        log.info("ServiceApplication启动...");
        SpringApplication.run(ServiceWebApplication.class, args);
    }
}
