package cn.bunny.service.web.service;

import cn.bunny.dto.user.LoginDto;
import cn.bunny.dto.user.RegisterDto;
import cn.bunny.entity.system.user.User;
import cn.bunny.vo.system.login.LoginVo;
import cn.bunny.vo.system.login.ValidateCodeVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface LoginService extends IService<User> {
    /**
     * 前台用户登录接口
     *
     * @param loginDto 登录参数
     * @return 登录后结果返回
     */
    LoginVo login(LoginDto loginDto);

    /**
     * 生成验证码
     *
     * @return 验证码生成信息
     */
    ValidateCodeVo checkCode();

    /**
     * 发送邮箱验证码
     *
     * @param email 邮箱
     */
    void sendEmailCode(String email);

    /**
     * 注册用户
     *
     * @param registerDto 注册表单
     */
    void register(RegisterDto registerDto);

    /**
     * 退出登录
     */
    void logout();
}
