package cn.bunny.service.web.service;

import cn.bunny.dto.user.ResetPwdDto;
import cn.bunny.entity.system.user.User;
import cn.bunny.vo.system.user.UserInfoVo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2024-05-13
 */
public interface UserService extends IService<User> {

    /**
     * 重置密码
     *
     * @param dto 重置密码参数
     */
    void resetPwd(ResetPwdDto dto);

    /**
     * 获取当前登录用户信息
     *
     * @return 获取用户信息返回参数
     */
    UserInfoVo getCurrentUserInfo();

    /**
     * 获取登录用户信息
     *
     * @return 获取用户信息返回参数
     */
    UserInfoVo getUserInfo(Long userId);
}
